package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 *
 * 前往类型：1：原无人机直接前往；2：新无人机前往；3：手动添加的应急事故，无人机前往；
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-26
 */
public enum AccidentDroneForwardTypeEnum {

    ORIGINAL_DRONE_FORWARD(1,"原无人机直接前往"),
    NEW_DRONE_FORWARD(2,"新无人机前往"),
    NEW_DRONE_FORWARD_BY_MANUAL(3,"手动添加，无人机前往");

    AccidentDroneForwardTypeEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;
}
